=== src/base/dev/pic/Makefile ===
#
# (C) Copyright 1992, ..., 2007 the "DOSEMU-Development-Team".
#
# for details see file COPYING.DOSEMU in the DOSEMU distribution
#

top_builddir=../../../..
include $(top_builddir)/Makefile.conf


CFILES = pic.c
HFILES = 
DEPENDS= pic.d

ALL = $(CFILES) $(HFILES) README.pic

OBJS = pic.o


all: lib

install:

include $(REALTOPDIR)/src/Makefile.common
