=== debian/changelog ===
dosemu (1.4.0+svn.2080-1) unstable; urgency=low

  * New upstream version, exported from svn r2080:
    - drop debian/patches/force-vm86-emu.patch, now detected upstream.
  * debian/control: update deps for libgpm-dev (Closes: 676651).
  * debian/control: bump standards version to 3.9.3; no changes.
  * debian/rules: corrected "clean" target.
  * debian/control, debian/compat: switch to compat 9 to gain default
    build flags.
  * debian/dosemu.lintian-overrides: verify hardening warnings as safe
    and add to overrides.

 -- Kees Cook <kees@debian.org>  Sat, 16 Jun 2012 11:50:59 -0700
