=== src/base/mouse/Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 #
 # This is the Makefile for the mouse-subdirectory of the DOS-emulator
 # for Linux.
-# $Id: Makefile 2057 2011-10-03 15:09:58Z bartoldeman $
+# $Id$
 
 
 # The following variables may go into the Makfile in the parent-directory
