=== debian/changelog ===
dosemu (1.4.0.7+20130105+b028d3f-2build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:19:56 +0000

dosemu (1.4.0.7+20130105+b028d3f-2) unstable; urgency=medium

  * Add debian/patches/pc-tcp-pad.patch: add packet padding needed
    by PC/TCP DOS network stack to avoid dropping small but valid
    packets, thanks to Frank Hintsch and Mauro Flores.

 -- Kees Cook <kees@debian.org>  Thu, 18 Jun 2015 11:18:58 -0700

dosemu (1.4.0.7+20130105+b028d3f-1) unstable; urgency=low

  * New upstream version, export from git b028d3f:
    - drop debian/patches/spelling-fixes.patch: taken upstream.
    - drop debian/patches/manpage-dashes.patch: taken upstream.
  * debian/copyright: add a note about why dosemu is in contrib
    (Closes: 691277).

 -- Kees Cook <kees@debian.org>  Sat, 05 Jan 2013 08:54:42 -0800
