=== debian/rules ===
--- 
+++ 
@@ -41,12 +41,14 @@
 	rm -f etc/dosemu32x24.xpm
 
 VERSION=$(shell dpkg-parsechangelog | grep ^Version | cut -d+ -f1 | cut -d\  -f2)
-SVN_RELEASE=$(shell dpkg-parsechangelog | grep ^Version | cut -d+ -f2 | cut -d. -f2 | cut -d- -f1)
-ORIG_FILE=$(CURDIR)/../dosemu_$(VERSION)+svn.$(SVN_RELEASE).orig.tar.bz2
-SVN_CO_DIR=$(CURDIR)/dosemu-$(VERSION)+svn.$(SVN_RELEASE)
+DATE_RELEASE=$(shell dpkg-parsechangelog | grep ^Version | cut -d+ -f2 | cut -d. -f2 | cut -d- -f1)
+VCS_RELEASE=$(shell dpkg-parsechangelog | grep ^Version | cut -d+ -f3 | cut -d. -f2 | cut -d- -f1)
+ORIG_FILE=$(CURDIR)/../dosemu_$(VERSION)+$(DATE_RELEASE)+$(VCS_RELEASE).orig.tar.bz2
+CO_DIR=$(CURDIR)/dosemu-$(VERSION)+$(DATE_RELEASE)+$(VCS_RELEASE)
 get-orig-source:
 	test ! -e $(ORIG_FILE)
-	test ! -e $(SVN_CO_DIR)
-	svn co -r $(SVN_RELEASE) https://dosemu.svn.sourceforge.net/svnroot/dosemu/trunk $(SVN_CO_DIR)
-	tar cjf $(ORIG_FILE) -C `dirname $(SVN_CO_DIR)` --exclude .svn `basename $(SVN_CO_DIR)`
-	rm -rf $(SVN_CO_DIR)
+	test ! -e $(CO_DIR)
+	git clone git://git.code.sf.net/p/dosemu/code $(CO_DIR)
+	(cd $(CO_DIR) && git reset --hard $(VCS_RELEASE))
+	tar cjf $(ORIG_FILE) -C `dirname $(CO_DIR)` --exclude .git `basename $(CO_DIR)`
+	rm -rf $(CO_DIR)
